#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "AddMaxAmmoAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UAddMaxAmmoAction : public UCompetenceAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	int32 _countModifier;

public:
	UAddMaxAmmoAction();
};

FORCEINLINE uint32 GetTypeHash(const UAddMaxAmmoAction) { return 0; }
